SDL_GetProperty(3)

NAME
SDL_GetProperty - Get a property on a set of properties.

HEADER FILE
Defined in SDL3/SDL_properties.h

SYNOPSIS
#include "SDL3/SDL.h"

void* SDL_GetProperty(SDL_PropertiesID props, const char *name, void *default_value);

DESCRIPTION
By convention, the names of properties that SDL exposes on objects will start with "SDL.", and properties that SDL uses internally will start with "SDL.internal.". These should be considered read-only and should not be modified by applications.

FUNCTION PARAMETERS

props
    the properties to query

name
    the name of the property to query

default_value
    the default value of the property

RETURN VALUE
Returns the value of the property, or default_value if it is not set or not a pointer property.

THREAD SAFETY
It is safe to call this function from any thread, although the data returned is not protected and could potentially be freed if you call SDL_SetProperty () or SDL_ClearProperty () on these properties from another thread. If you need to avoid this, use SDL_LockProperties () and SDL_UnlockProperties ().

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetBooleanProperty(3), SDL_GetFloatProperty(3), SDL_GetNumberProperty(3), SDL_GetPropertyType(3), SDL_GetStringProperty(3), SDL_HasProperty(3), SDL_SetProperty(3)